#include <limits.h>
#define SIZE 16
int main(void) {
  /* Searching for the maximum in an array of int. */
  int maximum = INT_MIN;
  int* pointer;
  int* pointer_max;
  int array[SIZE] = {0, 1, 2, 3, -3, -2, -1, INT_MAX,
                     INT_MAX - 1, INT_MAX - 2, 
                     INT_MAX - 3, INT_MIN, INT_MIN + 1,
                     INT_MIN + 2, -1, -1};
  /* Searching the maximum : */
  pointer_max = array + SIZE;  
  for (pointer = array; pointer < pointer_max; pointer++) {
    if (*pointer > maximum) {
      maximum = *pointer;
    }
  }
}
